Add checks for bzip2 and libz for use with the Compression concept for

lib/System and the compressing llvm archiver.


git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@16634 91177308-0d34-0410-b5e6-96231b3b80d8
This commit is contained in:
Reid Spencer 2004-10-02 08:50:58 +00:00
parent 7cf3490892
commit c28d7ad257
2 changed files with 180 additions and 0 deletions

View File

@ -247,6 +247,22 @@ dnl Checks for libraries:
dnl libelf is for sparc only; we can ignore it if we don't have it
AC_CHECK_LIB(elf, elf_begin)
dnl Check for bzip2 and zlib compression libraries needed for archive reading/writing
AC_CHECK_LIB(bz2,BZ2_bzCompressInit,[bzip2_found=1],[bzip2_found=0])
AC_CHECK_LIB(z,gzopen,[zlib_found=1],[zlib_found=0])
if test $zlib_found -eq 1 ; then
AC_DEFINE([HAVE_ZLIB],[1],[Define if zlib library is available on this platform.])
fi
if test $bzip2_found -eq 1 ; then
AC_DEFINE([HAVE_BZIP2],[1],[Define if bzip2 library is available on this platform.])
else
if test $zlib_found -ne 1 ; then
AC_MSG_WARN([**** Neither zlib nor bzip2 compression libraries were found -
archives will not support compression! Install bzip2 or zlib
and then reconfigure to ensure compatibility])
fi
fi
dnl dlopen() is required for plugin support.
AC_SEARCH_LIBS(dlopen,dl,AC_DEFINE([HAVE_DLOPEN],[1],[Define if dlopen() is available on this platform.]),AC_MSG_WARN([dlopen() not found - disabling plugin support]))

164
configure vendored
View File

@ -19199,6 +19199,170 @@ _ACEOF
fi
echo "$as_me:$LINENO: checking for BZ2_bzCompressInit in -lbz2" >&5
echo $ECHO_N "checking for BZ2_bzCompressInit in -lbz2... $ECHO_C" >&6
if test "${ac_cv_lib_bz2_BZ2_bzCompressInit+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lbz2 $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char BZ2_bzCompressInit ();
int
main ()
{
BZ2_bzCompressInit ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag"
|| test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_bz2_BZ2_bzCompressInit=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_lib_bz2_BZ2_bzCompressInit=no
fi
rm -f conftest.err conftest.$ac_objext \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
echo "$as_me:$LINENO: result: $ac_cv_lib_bz2_BZ2_bzCompressInit" >&5
echo "${ECHO_T}$ac_cv_lib_bz2_BZ2_bzCompressInit" >&6
if test $ac_cv_lib_bz2_BZ2_bzCompressInit = yes; then
bzip2_found=1
else
bzip2_found=0
fi
echo "$as_me:$LINENO: checking for gzopen in -lz" >&5
echo $ECHO_N "checking for gzopen in -lz... $ECHO_C" >&6
if test "${ac_cv_lib_z_gzopen+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lz $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char gzopen ();
int
main ()
{
gzopen ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag"
|| test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_z_gzopen=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_lib_z_gzopen=no
fi
rm -f conftest.err conftest.$ac_objext \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
echo "$as_me:$LINENO: result: $ac_cv_lib_z_gzopen" >&5
echo "${ECHO_T}$ac_cv_lib_z_gzopen" >&6
if test $ac_cv_lib_z_gzopen = yes; then
zlib_found=1
else
zlib_found=0
fi
if test $zlib_found -eq 1 ; then
cat >>confdefs.h <<\_ACEOF
#define HAVE_ZLIB 1
_ACEOF
fi
if test $bzip2_found -eq 1 ; then
cat >>confdefs.h <<\_ACEOF
#define HAVE_BZIP2 1
_ACEOF
else
if test $zlib_found -ne 1 ; then
{ echo "$as_me:$LINENO: WARNING: **** Neither zlib nor bzip2 compression libraries were found -
archives will not support compression! Install bzip2 or zlib
and then reconfigure to ensure compatibility" >&5
echo "$as_me: WARNING: **** Neither zlib nor bzip2 compression libraries were found -
archives will not support compression! Install bzip2 or zlib
and then reconfigure to ensure compatibility" >&2;}
fi
fi
echo "$as_me:$LINENO: checking for library containing dlopen" >&5
echo $ECHO_N "checking for library containing dlopen... $ECHO_C" >&6
if test "${ac_cv_search_dlopen+set}" = set; then